Index: trunk/paper/CommPhysComp/notes.tex
===================================================================
--- trunk/paper/CommPhysComp/notes.tex	(revision 516)
+++ trunk/paper/CommPhysComp/notes.tex	(revision 517)
@@ -189,5 +189,5 @@
 \end{table*}
 
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %\includegraphics[width=\columnwidth]{Detector_Delphes_3}
@@ -285,5 +285,5 @@
 As the detector is assumed to be cylindrical (e.g.\ symmetric in $\phi$ and with respect to the $\eta=0$ plane), the detector card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
 
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %\includegraphics[width=\columnwidth]{calosegmentation}
@@ -296,16 +296,14 @@
 The calorimetric towers directly enter in the calculation of the missing transverse energy (\textsc{met}), and as input for the jet reconstruction algorithms. No sharing between neighbouring towers is implemented when particles enter a tower very close to its geometrical edge. Smearing is applied directly on the accumulated electromagnetic and hadronic energies of each calorimetric tower. 
 
-\subsection{Very forward detectors simulation}
-
-Most of the recent experiments in beam colliders have additional instrumentation along the beamline. These extend the $\eta$ coverage to higher values, for the detection of very forward final-state particles. 
-Zero Degree Calorimeters (\textsc{zdc}) are located at zero angle, i.e.\ are aligned with the beamline axis at the interaction point, and placed beyond the point where the paths of incoming and outgoing beams separate (Fig.~\ref{fig:fdets}). These allow the measurement of stable neutral particles ($\gamma$ and $n$) coming from the interaction point, with large pseudorapidities (e.g.\ $|\eta_{\textrm{n,}\gamma}| > 8.3$ in \textsc{atlas} and \textsc{cms}).
-Forward taggers (called here \textsc{rp220}, for ``roman pots at $220~\textrm{m}$'' and \textsc{fp420} ``for forward proton taggers at $420~\textrm{m}$'', as at the \textsc{lhc}) are meant for the measurement of particles following very closely the beam path. To be able to reach these detectors, such particles must have a charge identical to the beam particles, and a momentum very close to the nominal value for the beam. These taggers are near-beam detectors located a few millimetres from the true beam trajectory and this distance defines their acceptance (Tab.~\ref{tab:fdetacceptance}).
-
-\begin{figure}[!h]
+\subsection{Very forward detector simulation}
+
+Most of the recent experiments in beam colliders have additional instrumentation along the beamline. These extend the $\eta$ coverage to higher values, for the detection of very forward final-state particles. In \textsc{Delphes}, Zero Degree Calorimeters, roman pots and forward taggers have been implemented (Fig.~\ref{fig:fdets}).
+
+\begin{figure}[!ht]
 \begin{center}
 %\includegraphics[width=\columnwidth]{fdets}
 \includegraphics[width=\columnwidth]{fig4}
 \caption{Default location of the very forward detectors, including \textsc{zdc}, \textsc{rp220} and \textsc{fp420} in the \textsc{lhc} beamline. 
-Incoming (red) and outgoing (black) beams on one side of the interaction point ($s=0~\textrm{m}$). 
+Incoming (beam 1, red) and outgoing (beam 2, black) beams on one side of the fifth interaction point (\textsc{ip}5, $s=0~\textrm{m}$ on the plot). 
 The Zero Degree Calorimeter is located in perfect alignment with the beamline axis at the interaction point, at $140~\textrm{m}$, the beam paths are separated. The forward taggers are near-beam detectors located at $220~\textrm{m}$ and $420~\textrm{m}$. Beamline simulation with \textsc{Hector}~\citep{bib:Hector}.}
 \label{fig:fdets}
@@ -317,11 +315,12 @@
 \caption{Default parameters for the forward detectors: distance from the interaction point and detector acceptance. The \textsc{lhc} beamline is assumed around the fifth \textsc{lhc} interaction point (\textsc{ip}). For the \textsc{zdc}, the acceptance depends only on the pseudorapidity $\eta$ of the particle, which should be neutral and stable. 
 The tagger acceptance is fully determined by the distance in the transverse plane of the detector to the real beam position~\citep{bib:Hector}. It is expressed in terms of the particle energy ($E$).
+All detectors are located on both sides of the interaction point.
 \vspace{0.5cm}}
 \begin{tabular}{llcl}
 \hline
 Detector & Distance from \textsc{ip}& Acceptance & \\ \hline
-\textsc{zdc}   & $140$ m & $|\eta|> 8.3$       & for $n$ and $\gamma$\\
-\textsc{rp220} & $220$ m & $E \in [6100 ; 6880]$ (GeV) & at $2~\textrm{mm}$\\
-\textsc{fp420} & $420$ m & $E \in [6880 ; 6980]$ (GeV) & at $4~\textrm{mm}$\\
+\textsc{zdc}   & $\pm 140$ m & $|\eta|> 8.3$       & for $n$ and $\gamma$\\
+\textsc{rp220} & $\pm 220$ m & $E \in [6100 ; 6880]$ (GeV) & at $2~\textrm{mm}$\\
+\textsc{fp420} & $\pm 420$ m & $E \in [6880 ; 6980]$ (GeV) & at $4~\textrm{mm}$\\
 \hline
 \end{tabular}
@@ -331,21 +330,27 @@
 
 
-While neutral particles propagate along a straight line to the \textsc{zdc}, a dedicated simulation of the transport of charged particles is needed for \textsc{rp220} and \textsc{fp420}. This fast simulation uses the \textsc{Hector} software~\citep{bib:Hector}, which includes the chromaticity effects and the geometrical aperture of the beamline elements of any arbitrary collider.
-
-Some subdetectors have the ability to measure the time of flight of the particle. 
-This corresponds to the delay after which the particle is observed in the detector, with respect to the bunch crossing reference time at the interaction point ($t_0$). The time of flight measurement of \textsc{zdc} and \textsc{fp420} detector is implemented here. For the \textsc{zdc}, the formula is simply
+\subsubsection*{Zero Degree Calorimeters}
+
+In direct sight of the interaction point, on both sides of the central detector, the Zero Degree Calorimeters (\textsc{zdc}s) are located at zero angle, i.e.\ are aligned with the beamline axis at the interaction point. They are placed beyond the point where the paths of incoming and outgoing beams separate. These allow the measurement of stable neutral particles ($\gamma$ and $n$) coming from the interaction point, with large pseudorapidities (e.g.\ $|\eta_{\textrm{n,}\gamma}| > 8.3$ in \textsc{atlas} and \textsc{cms}).
+
+The trajectory of the neutrals observed in the \textsc{zdc}s is a straight line, while charged particles are deflected away from their acceptance window by the powerful magnets located in front of them. The fact that additional charged particles may enter the \textsc{zdc} acceptance is neglected here.
+
+The \textsc{zdc}s have the ability to measure the time-of-flight of the particle. 
+This corresponds to the delay after which the particle is observed in the detector, with respect to the bunch crossing reference time at the interaction point ($t_0$). The measured time-of-flight $t$ is simply given by: 
 \begin{equation}
  t = t_0 + \frac{1}{v} \times \Big( \frac{s-z}{\cos \theta}\Big),
 \end{equation}
-where $t$ is the time of flight, $t_0$ is the true time coordinate of the vertex from which the particle originates, $v$ the particle velocity, $s$ is the \textsc{zdc} distance to the interaction point, $z$ is the longitudinal coordinate of the vertex from which the particle comes from, $\theta$ is the particle emission angle. This assumes that the neutral particle observed in the \textsc{zdc} is highly relativistic, i.e.\ travelling at the speed of light $c$. We also assume that $\cos \theta = 1$, i.e.\ $\theta \approx 0$ or equivalently $\eta$ is large. As an example, $\eta = 5$ leads to $\theta = 0.013$ and $1 - \cos \theta < 10^{-4}$.
+where $t_0$ is thus the true time coordinate of the vertex from which the particle originates, $v$ the particle velocity, $s$ is the \textsc{zdc} distance to the interaction point, $z$ is the longitudinal coordinate of the vertex, $\theta$ is the particle emission angle. It is then assumed that the neutral particle observed in the \textsc{zdc} is highly relativistic, i.e.\ travelling at the speed of light $c$. We also assume that $\cos \theta = 1$, i.e.\ $\theta \approx 0$ or equivalently $\eta$ is large. As an example, $\eta = 5$ leads to $\theta = 0.013$ and $1 - \cos \theta < 10^{-4}$.
 The formula then reduces to
 \begin{equation}
- t = \frac{1}{c} \times (s-z)
+ t = \frac{1}{c} \times (s-z).
 \end{equation}
-For example, a photon takes $0.47~\mu\textrm{s}$ to reach a \textsc{zdc} located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$, and assuming that $v=c$. Only neutrons and photons are currently assumed to be able to reach the \textsc{zdc}. All other particles are neglected in the \textsc{zdc}. The \textsc{zdc}s are composed of an electromagnetic and a hadronic sections, for the measurement of photons and neutrons, respectively. The energy of the observed neutral is smeared according to Eq.~\ref{eq:caloresolution} and the section resolutions (Tab.~\ref{tab:defResolZdc}). The \textsc{zdc} hits do not enter in the calorimeter tower list used for reconstruction of jets and missing transverse energy.
+For example, a photon takes $0.47~\mu\textrm{s}$ to reach a \textsc{zdc} located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$. For the time-of-flight measurement, a Gaussian smearing can be applied according to the detector resolution (Tab.~\ref{tab:defResolZdc}). In the current version of \textsc{Delphes}, only neutrons, antineutrons and photons are assumed to be able to reach the \textsc{zdc}s, all other particles being neglected. 
+
+The \textsc{zdc}s are composed of an electromagnetic and a hadronic sections, for the measurement of photons and neutrons, respectively. The energy of the observed neutral is smeared according to Eq.~\ref{eq:caloresolution} and the corresponding section resolutions (Tab.~\ref{tab:defResolZdc}). The \textsc{zdc} hits do not enter in the calorimeter tower list used for reconstruction of jets and missing transverse energy.
 
 \begin{table}[!h]
 \begin{center}
-\caption{Default values for the resolution of the zero degree calorimeters. Resolution is parametrised by the \textit{stochastic} ($S$), \textit{noise} ($N$) and \textit{constant} ($C$) terms (Eq.~\ref{eq:caloresolution}).
+\caption{Default values for the resolution of the zero degree calorimeters. Resolution on energy measurement is parametrised by the \textit{stochastic} ($S$), \textit{noise} ($N$) and \textit{constant} ($C$) terms (Eq.~\ref{eq:caloresolution}). The time-of-flight is smeared according to a Gaussian function.
 The corresponding parameter name, in the detector card, is given. \vspace{0.5cm}}
 \begin{tabular}[!h]{lllc}
@@ -353,11 +358,13 @@
 \multicolumn{2}{c}{Resolution Term}   & Card flag & Value\\\hline
  \multicolumn{4}{l}{\textsc{zdc}, electromagnetic part} \\
-        & $S$ (GeV$^{1/2}$)& {\verb ELG_Szdc }  & $0.7$ \\
-        & $N$ (GeV)& {\verb ELG_Nzdc }  & $0.0$ \\
-        & $C$ & {\verb ELG_Czdc }  & $0.08$ \\
+        & $S$ (GeV$^{1/2}$)& \texttt{ELG\_Szdc}  & $0.7$ \\
+        & $N$ (GeV)& \texttt{ELG\_Nzdc}  & $0.0$ \\
+        & $C$ & \texttt{ELG\_Czdc}  & $0.08$ \\
  \multicolumn{4}{l}{\textsc{zdc}, hadronic part} \\
-        & $S$ (GeV$^{1/2}$)& {\verb HAD_Szdc }   & $1.38$\\
-        & $N$ (GeV)& {\verb HAD_Nzdc }   & $0$ \\
-        & $C$ & {\verb HAD_Czdc }   & $0.13$\\
+        & $S$ (GeV$^{1/2}$)& \texttt{HAD\_Szdc}   & $1.38$\\
+        & $N$ (GeV)& \texttt{HAD\_Nzdc}   & $0$ \\
+        & $C$ & \texttt{HAD\_Czdc}   & $0.13$\\
+ \multicolumn{4}{l}{\textsc{zdc}, timing resolution} \\
+        & $\sigma_t$ (s) & \texttt{ZDC\_T\_resolution} & $0$ \\
 \hline
 \end{tabular}
@@ -366,4 +373,15 @@
 \end{table}
 
+\subsubsection*{Forward taggers}
+
+Forward taggers (called here \textsc{rp220}, for ``roman pots at $220~\textrm{m}$'' and \textsc{fp420} ``for forward proton taggers at $420~\textrm{m}$'', as at the \textsc{lhc}) are meant for the measurement of particles following very closely the beam path. Such devices, also used at \textsc{hera} and \textsc{Tevratron}, are located very far away from the interaction point (further than $150$~m in the \textsc{lhc} case).
+
+To be able to reach these detectors, particles must have a charge identical to the beam particles, and a momentum very close to the nominal value of the beam. These taggers are near-beam detectors located a few millimetres from the true beam trajectory and this distance defines their acceptance (Tab.~\ref{tab:fdetacceptance}). 
+For instance, roman pots at $220~\textrm{m}$ from the  \textsc{ip} and $2~\textrm{mm}$ from the beam will detect all forward protons with an energy between $120$ and $900~\textrm{GeV}$~\citep{bib:Hector}.
+In practice, in the \textsc{lhc}, only positively charged muons ($\mu^+$) and protons can reach the forward taggers as other particles with a single positive charge coming from the interaction points will decay before their possible tagging. In \textsc{Delphes}, extra hits coming from the beam-gas events or secondary particles hitting the beampipe in front of the detectors are not taken into account.
+
+While neutral particles propagate along a straight line to the \textsc{zdc}, a dedicated simulation of the transport of charged particles is needed for \textsc{rp220} and \textsc{fp420}. This fast simulation uses the \textsc{Hector} software~\citep{bib:Hector}, which includes the chromaticity effects and the geometrical aperture of the beamline elements of any arbitrary collider.
+
+Forward taggers are able to measure the hit positions ($x,y$) and angles ($\theta_x,\theta_y$) in the transverse plane at the location of the detector ($s$ meters away from the \textsc{ip}), as well as the time-of-flight\footnote{It should be noted that for both \textsc{cms} and \textsc{atlas} experiments, the taggers located at $220$~m are not able to measure the time-of-flight, contrary to \textsc{fp}420 detectors.} ($t$). Out of these the particle energy ($E$) and the momentum transfer it underwent during the interaction ($q^2$) can be reconstructed\footnote{The reconstruction of $E$ and $q^2$ are not implemeted in \textsc{Delphes} but can be performed at the analysis level.}.
 
 
@@ -502,5 +520,5 @@
 \end{table}
 
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %\includegraphics[width=0.6\columnwidth]{Tau}
@@ -541,5 +559,5 @@
 A large fraction of the jet energy is expected in this small cone. This fraction, or \textit{collimation factor}, is represented in Fig.~\ref{fig:tau2} for the default values (see Tab.~\ref{tab:tauRef}).
 
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %\includegraphics[width=\columnwidth]{Tau2}
@@ -560,5 +578,5 @@
 
 
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %\includegraphics[width=\columnwidth]{Tau1}
@@ -652,5 +670,5 @@
 \end{equation}
  
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %\includegraphics[width=\columnwidth]{resolutionJet}
@@ -677,5 +695,5 @@
 Figure~\ref{fig:jetresolatlas} shows a good agreement between the resolution obtained with \textsc{Delphes}, the result of the fit with Equation~\ref{eq:fitresolution} and the corresponding curve provided by the \textsc{atlas} collaboration~\citep{bib:ATLASresolution}. 
 
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 \includegraphics[width=\columnwidth]{fig9}
@@ -701,5 +719,5 @@
 energy, for \textsc{cms}- and \textsc{atlas}-like detectors.
  
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %\includegraphics[width=\columnwidth]{resolutionETmis}
@@ -755,5 +773,5 @@
 When performing an event analysis, a visualisation tool is useful to convey information about the detector layout and the event topology in a simple way. The \textit{Fast and Realistic OpenGL Displayer} \textsc{frog}~\citep{bib:Frog} has been interfaced in \textsc{Delphes}, allowing an easy display of the defined detector configuration\footnote{\texttt{[code] } To prepare the visualisation, the \texttt{FLAG\_frog} parameter should be equal to $1$.}.
  
-% \begin{figure}[!h]
+% \begin{figure}[!ht]
 % \begin{center}
 % \includegraphics[width=\columnwidth]{Detector_Delphes_1}
@@ -776,5 +794,5 @@
 Note that only the geometrical coverage is depicted and that the calorimeter segmentation is not taken into account in the drawing of the detector. Moreover, both the radius and the length of each sub-detectors are just display parameters and are not relevant for the physics simulation.
  
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %\includegraphics[width=\columnwidth]{Detector_Delphes_2b}
@@ -797,5 +815,5 @@
 The balance between the missing transverse energy and the charged lepton pair is clear, as well as the presence of an empty forward region. It is interesting to notice that the reconstruction algorithms build a fake $\tau$-jet around the electron.
 
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %%\includegraphics[width=\columnwidth]{Events_Delphes_1}
@@ -814,5 +832,5 @@
 The event final state contains more jets, in particular along the beam axis, which is expected as the interacting protons are destroyed by the collision. Two muon candidates and large missing transverse energy are also visible.
 
-\begin{figure}[!h]
+\begin{figure}[!ht]
 \begin{center}
 %%\includegraphics[width=\columnwidth]{Events_Delphes_1}
@@ -1333,5 +1351,5 @@
 \begin{tabular}{ll}
 \multicolumn{2}{l}{\textbf{Additional leaves in the \texttt{ZDChits} branch (\texttt{Analysis} tree)}}\\
-   \texttt{~~~int hadronic\_hit } &\texttt{ // 0(is not hadronic) or 1(is hadronic) }
+   \texttt{~~~int hadronic\_hit} &\texttt{// 0(is not hadronic) or 1(is hadronic) }
 \end{tabular}
 \end{quote}
@@ -1420,5 +1438,5 @@
 \end{verbatim}
 \end{quote}
-For more information, refer to ROOT documentation. Moreover, an example of code (based on the output of \begin{verbatim}MakeClass\end{verbatim}) is provided in the \texttt{Examples/} directory.
+For more information, refer to ROOT documentation. Moreover, an example of code (based on the output of \texttt{MakeClass}) is provided in the \texttt{Examples/} directory.
 
 To run the \texttt{Examples/Analysis\_Ex.cpp} code, the two following arguments are required: a text file containing the input \textsc{Delphes} \textsc{root} files to run, and the name of the output \textsc{root} file. 