Index: /trunk/paper/CommPhysComp/notes.tex
===================================================================
--- /trunk/paper/CommPhysComp/notes.tex	(revision 519)
+++ /trunk/paper/CommPhysComp/notes.tex	(revision 520)
@@ -383,5 +383,5 @@
 While neutral particles propagate along a straight line to the \textsc{zdc}, a dedicated simulation of the transport of charged particles is needed for \textsc{rp220} and \textsc{fp420}. This fast simulation uses the \textsc{Hector} software~\citep{bib:Hector}, which includes the chromaticity effects and the geometrical aperture of the beamline elements of any arbitrary collider.
 
-Forward taggers are able to measure the hit positions ($x,y$) and angles ($\theta_x,\theta_y$) in the transverse plane at the location of the detector ($s$ meters away from the \textsc{ip}), as well as the time-of-flight\footnote{It should be noted that for both \textsc{cms} and \textsc{atlas} experiments, the taggers located at $220$~m are not able to measure the time-of-flight, contrary to \textsc{fp}420 detectors.} ($t$). Out of these the particle energy ($E$) and the momentum transfer it underwent during the interaction ($q^2$) can be reconstructed\footnote{The reconstruction of $E$ and $q^2$ are not implemeted in \textsc{Delphes} but can be performed at the analysis level.}.
+Forward taggers are able to measure the hit positions ($x,y$) and angles ($\theta_x,\theta_y$) in the transverse plane at the location of the detector ($s$ meters away from the \textsc{ip}), as well as the time-of-flight\footnote{It should be noted that for both \textsc{cms} and \textsc{atlas} experiments, the taggers located at $220$~m are not able to measure the time-of-flight, contrary to \textsc{fp}420 detectors.} ($t$). Out of these the particle energy ($E$) and the momentum transfer it underwent during the interaction ($q^2$) can be reconstructed\footnote{The reconstruction of $E$ and $q^2$ are not implemeted in \textsc{Delphes} but can be performed at the analysis level.}. The time-of-flight measurement can be smeared with a Gaussian distribution (default value\footnote{\texttt{[code] } The resolution is defined by the \texttt{RP220\_T\_resolution} and \texttt{RP420\_T\_resolution} parameters in the detector card.} $\sigma_t = 0~\textrm{s}$).
 
 
Index: /trunk/paper/notes.tex
===================================================================
--- /trunk/paper/notes.tex	(revision 519)
+++ /trunk/paper/notes.tex	(revision 520)
@@ -38,9 +38,14 @@
 
 \title{\textsc{Delphes}, a framework for fast simulation \\of a generic collider experiment}
-\author{S. Ovyn$^*$ and X. Rouby$^\textrm{a}$\\
-	\small{Center for Particle Physics and Phenomenology (CP3)}\\ 
+\author{S. Ovyn$^*$\\
+	\small{Center for Particle Physics and Phenomenology,} 
 	\small{Universit\'e catholique de Louvain}\\ 
-        \small{B-1348 Louvain-la-Neuve, Belgium}\\ \\
-        \texttt{severine.ovyn@uclouvain.be, xavier.rouby@cern.ch} \\
+        \small{B-1348 Louvain-la-Neuve, Belgium}\\ 
+        \texttt{severine.ovyn@uclouvain.be} \\ \\
+X. Rouby\\
+        \small{Physikalisches Institut,}
+        \small{Albert-Ludwigs-Universit\"at Freiburg}\\
+        \small{B-79104 Freiburg-im-Breisgau, Germany}\\ 
+        \texttt{xavier.rouby@cern.ch} \\
 }
 \date{}
@@ -76,5 +81,4 @@
 \end{abstract}
 \small{$^{*}$ Corresponding author: +32.10.47.32.29.}
-\small{$^\textrm{a}$ Now in Physikalisches Institut, Albert-Ludwigs-Universit\"at Freiburg}
 ]
 %\saythanks
@@ -343,5 +347,5 @@
 While neutral particles propagate along a straight line to the \textsc{zdc}, a dedicated simulation of the transport of charged particles is needed for \textsc{rp220} and \textsc{fp420}. This fast simulation uses the \textsc{Hector} software~\cite{bib:Hector}, which includes the chromaticity effects and the geometrical aperture of the beamline elements of any arbitrary collider.
 
-Forward taggers are able to measure the hit positions ($x,y$) and angles ($\theta_x,\theta_y$) in the transverse plane at the location of the detector ($s$ meters away from the \textsc{ip}), as well as the time-of-flight\footnote{It should be noted that for both \textsc{cms} and \textsc{atlas} experiments, the taggers located at $220$~m are not able to measure the time-of-flight, contrary to \textsc{fp}420 detectors.} ($t$). Out of these the particle energy ($E$) and the momentum transfer it underwent during the interaction ($q^2$) can be reconstructed\footnote{The reconstruction of $E$ and $q^2$ are not implemeted in \textsc{Delphes} but can be performed at the analysis level.}.
+Forward taggers are able to measure the hit positions ($x,y$) and angles ($\theta_x,\theta_y$) in the transverse plane at the location of the detector ($s$ meters away from the \textsc{ip}), as well as the time-of-flight\footnote{It should be noted that for both \textsc{cms} and \textsc{atlas} experiments, the taggers located at $220$~m are not able to measure the time-of-flight, contrary to \textsc{fp}420 detectors.} ($t$). Out of these the particle energy ($E$) and the momentum transfer it underwent during the interaction ($q^2$) can be reconstructed\footnote{The reconstruction of $E$ and $q^2$ are not implemeted in \textsc{Delphes} but can be performed at the analysis level.}. The time-of-flight measurement can be smeared with a Gaussian distribution (default value\footnote{\texttt{[code] } The resolution is defined by the \texttt{RP220\_T\_resolution} and \texttt{RP420\_T\_resolution} parameters in the detector card.} $\sigma_t = 0~\textrm{s}$).
 
 