Index: trunk/paper/CommPhysComp/notes.tex
===================================================================
--- trunk/paper/CommPhysComp/notes.tex	(revision 522)
+++ trunk/paper/CommPhysComp/notes.tex	(revision 523)
@@ -282,5 +282,5 @@
 
 The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}; it segments the $(\eta,\phi)$ plane for the energy measurement. No longitudinal segmentation is available in the simulated calorimeters. All undecayed particles, except muons and neutrinos deposit energy in a calorimetric tower, either in \textsc{ecal}, in \textsc{hcal} or \textsc{fcal}. 
-As the detector is assumed to be cylindrical (e.g.\ symmetric in $\phi$ and with respect to the $\eta=0$ plane), the detector card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
+As the detector is assumed to be cylindrical (e.g.\ symmetric in $\phi$ and with respect to the $\eta=0$ plane), the detector card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default calorimeter segmentation, which is common for the electromagnetic and hadronic sections at a given $(\eta,\phi)$.
 
 \begin{figure}[!ht]
@@ -305,5 +305,5 @@
 \caption{Default location of the very forward detectors, including \textsc{zdc}, \textsc{rp220} and \textsc{fp420} in the \textsc{lhc} beamline. 
 Incoming (beam 1, red) and outgoing (beam 2, black) beams on one side of the fifth interaction point (\textsc{ip}5, $s=0~\textrm{m}$ on the plot). 
-The Zero Degree Calorimeter is located in perfect alignment with the beamline axis at the interaction point, at $140~\textrm{m}$, the beam paths are separated. The forward taggers are near-beam detectors located at $220~\textrm{m}$ and $420~\textrm{m}$. Beamline simulation with \textsc{Hector}~\citep{bib:Hector}.}
+The Zero Degree Calorimeter is located in perfect alignment with the beamline axis at the interaction point, at $140~\textrm{m}$, the beam paths are separated. The forward taggers are near-beam detectors located at $220~\textrm{m}$ and $420~\textrm{m}$. Beamline simulation with \textsc{Hector}~\citep{bib:Hector}. All very forward detectors are located symmetrically around the interaction point. }
 \label{fig:fdets}
 \end{center}
@@ -406,5 +406,6 @@
 Generator-level muons entering the detector acceptance are considered as candidates for the analysis level.
 The acceptance is defined in terms of a transverse momentum threshold to be overpassed that should be computed using the chosen geometry of the detector and the magnetic field considered (default : $p_T > 10~\textrm{GeV}/c$) and of the pseudorapidity coverage of the muon system (default: $-2.4 \leq \eta \leq 2.4$).
-The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified beyond the calorimeters: no additional magnetic field is applied. Multiple scattering is neglected. This implies that low energy muons have in \textsc{Delphes} a better resolution than in a real detector. Furthermore, muons leave no deposit in calorimeters.
+The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified beyond the calorimeters: no additional magnetic field is applied. Multiple scattering is neglected. This implies that low energy muons have in \textsc{Delphes} a better resolution than in a real detector. Furthermore, muons leave no deposit in calorimeters. At last, the particles which might leak out of the calorimeters into the muon systems (\textit{punch-through}) will not be see
+n as muon candidates in \textsc{Delphes}.
 
 \subsubsection*{Charged lepton isolation}
@@ -510,7 +511,7 @@
  $ \tau^- \rightarrow \mu^- \ \bar \nu_\mu  \ \nu_\tau$ & $17.4\%$ \\
  \multicolumn{2}{l}{\textbf{Hadronic decays}}\\
- $ \tau^- \rightarrow h^-\ n\times h^\pm \ m\times h^0\  \nu_\tau$  & $64.7\%$ \\
- $ \tau^- \rightarrow h^-\ m\times h^0 \ \nu_\tau$  & $50.1\%$ \\
- $ \tau^- \rightarrow h^-\ h^+ h^-  m\times h^0 \ \nu_\tau$  & $14.6\%$ \\
+ $ \tau^- \rightarrow h^-\ (n\times h^\pm) \ (m\times h^0) \  \nu_\tau$  & $64.7\%$ \\
+ $ \tau^- \rightarrow h^-\ (m\times h^0) \ \nu_\tau$  & $50.1\%$ \\
+ $ \tau^- \rightarrow h^-\ h^+ h^-  (m\times h^0) \ \nu_\tau$  & $14.6\%$ \\
 \hline
 \end{tabular}
@@ -609,5 +610,5 @@
 \end{equation}
 The \textit{true} missing transverse energy, i.e.\ at generator-level, is calculated as the opposite of the vector sum of the transverse momenta of all visible particles -- or equivalently, to the vector sum of invisible particle transverse momenta. 
-In a real experiment, calorimeters measure energy and not momentum. Any problem affecting the detector (dead channels, misalignment, noisy towers, cracks) worsens directly the measured missing transverse energy $\overrightarrow {E_T}^\textrm{miss}$. In this document, \textsc{met} is based on the calorimetric towers and only muons and neutrinos are not taken into account for its evaluation\footnote{However, as tracks and calorimetric towers are available in the output file, the missing transverse energy can always be reprocessed a posteriori }:
+In a real experiment, calorimeters measure energy and not momentum. Any problem affecting the detector (dead channels, misalignment, noisy towers, cracks) worsens directly the measured missing transverse energy $\overrightarrow {E_T}^\textrm{miss}$. In this document, \textsc{met} is based on the calorimetric towers and only muons and neutrinos are not taken into account for its evaluation\footnote{However, as tracks and calorimetric towers are available in the output file, the missing transverse energy can always be reprocessed a posteriori. }:
 \begin{equation}
 \overrightarrow{E_T}^\textrm{miss} = - \sum^\textrm{towers}_i \overrightarrow{E_T}(i)
Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 522)
+++ trunk/paper/notes.tex	(revision 523)
@@ -248,5 +248,6 @@
 
 The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}; it segments the $(\eta,\phi)$ plane for the energy measurement. No longitudinal segmentation is available in the simulated calorimeters. All undecayed particles, except muons and neutrinos deposit energy in a calorimetric tower, either in \textsc{ecal}, in \textsc{hcal} or \textsc{fcal}. 
-As the detector is assumed to be cylindrical (e.g.\ symmetric in $\phi$ and with respect to the $\eta=0$ plane), the detector card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
+As the detector is assumed to be cylindrical (e.g.\ symmetric in $\phi$ and with respect to the $\eta=0$ plane), the detector card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default calorimeter segmentation, which is common for the electromagnetic and hadronic sections at a given $(\eta,\phi)$.
+
 
 \begin{figure}[!h]
@@ -270,5 +271,5 @@
 \caption{Default location of the very forward detectors, including \textsc{zdc}, \textsc{rp220} and \textsc{fp420} in the \textsc{lhc} beamline. 
 Incoming (beam 1, red) and outgoing (beam 2, black) beams on one side of the fifth interaction point (\textsc{ip}5, $s=0~\textrm{m}$ on the plot). 
-The Zero Degree Calorimeter is located in perfect alignment with the beamline axis at the interaction point, at $140~\textrm{m}$, the beam paths are separated. The forward taggers are near-beam detectors located at $220~\textrm{m}$ and $420~\textrm{m}$. Beamline simulation with \textsc{Hector}~\cite{bib:Hector}.}
+The Zero Degree Calorimeter is located in perfect alignment with the beamline axis at the interaction point, at $140~\textrm{m}$, the beam paths are separated. The forward taggers are near-beam detectors located at $220~\textrm{m}$ and $420~\textrm{m}$. Beamline simulation with \textsc{Hector}~\cite{bib:Hector}.  All very forward detectors are located symmetrically around the interaction point.}
 \label{fig:fdets}
 \end{center}
@@ -370,5 +371,5 @@
 Generator-level muons entering the detector acceptance are considered as candidates for the analysis level.
 The acceptance is defined in terms of a transverse momentum threshold to be overpassed that should be computed using the chosen geometry of the detector and the magnetic field considered (default : $p_T > 10~\textrm{GeV}/c$) and of the pseudorapidity coverage of the muon system (default: $-2.4 \leq \eta \leq 2.4$).
-The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified beyond the calorimeters: no additional magnetic field is applied. Multiple scattering is neglected. This implies that low energy muons have in \textsc{Delphes} a better resolution than in a real detector. Furthermore, muons leave no deposit in calorimeters.
+The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified beyond the calorimeters: no additional magnetic field is applied. Multiple scattering is neglected. This implies that low energy muons have in \textsc{Delphes} a better resolution than in a real detector. Furthermore, muons leave no deposit in calorimeters. At last, the particles which might leak out of the calorimeters into the muon systems (\textit{punch-through}) will not be seen as muon candidates in \textsc{Delphes}.
 
 \subsubsection*{Charged lepton isolation}
@@ -471,7 +472,7 @@
  $ \tau^- \rightarrow \mu^- \ \bar \nu_\mu  \ \nu_\tau$ & $17.4\%$ \\
  \multicolumn{2}{l}{\textbf{Hadronic decays}}\\
- $ \tau^- \rightarrow h^-\ n\times h^\pm \ m\times h^0\  \nu_\tau$  & $64.7\%$ \\
- $ \tau^- \rightarrow h^-\ m\times h^0 \ \nu_\tau$  & $50.1\%$ \\
- $ \tau^- \rightarrow h^-\ h^+ h^-  m\times h^0 \ \nu_\tau$  & $14.6\%$ \\
+ $ \tau^- \rightarrow h^-\ (n\times h^\pm) \ (m\times h^0) \  \nu_\tau$  & $64.7\%$ \\
+ $ \tau^- \rightarrow h^-\ (m\times h^0) \ \nu_\tau$  & $50.1\%$ \\
+ $ \tau^- \rightarrow h^-\ h^+ h^-  (m\times h^0) \ \nu_\tau$  & $14.6\%$ \\
 \hline
 \end{tabular}
@@ -567,5 +568,5 @@
 \end{equation}
 The \textit{true} missing transverse energy, i.e.\ at generator-level, is calculated as the opposite of the vector sum of the transverse momenta of all visible particles -- or equivalently, to the vector sum of invisible particle transverse momenta. 
-In a real experiment, calorimeters measure energy and not momentum. Any problem affecting the detector (dead channels, misalignment, noisy towers, cracks) worsens directly the measured missing transverse energy $\overrightarrow {E_T}^\textrm{miss}$. In this document, \textsc{met} is based on the calorimetric towers and only muons and neutrinos are not taken into account for its evaluation\footnote{However, as tracks and calorimetric towers are available in the output file, the missing transverse energy can always be reprocessed a posteriori }:
+In a real experiment, calorimeters measure energy and not momentum. Any problem affecting the detector (dead channels, misalignment, noisy towers, cracks) worsens directly the measured missing transverse energy $\overrightarrow {E_T}^\textrm{miss}$. In this document, \textsc{met} is based on the calorimetric towers and only muons and neutrinos are not taken into account for its evaluation\footnote{However, as tracks and calorimetric towers are available in the output file, the missing transverse energy can always be reprocessed a posteriori. }:
 \begin{equation}
 \overrightarrow{E_T}^\textrm{miss} = - \sum^\textrm{towers}_i \overrightarrow{E_T}(i)