Index: /trunk/CHANGELOG
===================================================================
--- /trunk/CHANGELOG	(revision 532)
+++ /trunk/CHANGELOG	(revision 533)
@@ -1,4 +1,5 @@
 * Changes relative to V.1.8
   - track reconstruction efficiencies can now be floating numbers
+  - minor addition in the $(SHARED) target rule of the Makefile
 
  /-----------------------------------------\
Index: /trunk/INSTALL
===================================================================
--- /trunk/INSTALL	(revision 533)
+++ /trunk/INSTALL	(revision 533)
@@ -0,0 +1,55 @@
+To install Delphes:
+________________________
+
+1) untar the sources:
+  tar -xvf Delphes_V_1.8.tar.gz
+
+2) go to the directory:
+  cd Delphes_V_1.8
+
+3) generate the Makefile corresponding to your environment:
+  ./genMakefile.tcl > Makefile
+
+4) compile the sources
+  make
+
+If the compilation succeeds, one reads:
+  Delphes has been compiled
+  Ready to run
+
+
+To run Delphes:
+______________________
+
+1) create a list of input files that you want to process, 
+   - with one file name (or path/name) per line
+   - all files should be of the same type in a given list-file.
+   name your list-file as you prefer, for instance "inputlist.list"
+
+2) run the command line
+   ./Delphes inputlist.list outputfile.root
+
+3) this will run Delphes. Once completed, you should have the file "outputfile.root" ready for analyses.
+
+
+To run particular setup files:
+_______________________________
+
+Usage: ./Delphes input_file output_file [detector_card] [trigger_card]
+ input_list - list of files in Ntpl, StdHep, HepMC or LHEF format,
+ output_file - output file.
+ detector_card - Datacard containing resolution variables for the detector simulation (optional)
+ trigger_card - Datacard containing the trigger algorithms (optional)
+
+The default detector and trigger cards for the ATLAS and CMS detectors are located in the "data/" subdirectory
+  data/DetectorCard_ATLAS.dat   &	data/TriggerCard_ATLAS.dat 
+  data/DetectorCard_CMS.dat	&	data/TriggerCard_CMS.dat
+  data/DetectorCard.dat		&	data/TriggerCard.dat
+
+ 
+For more details, have a look at the User Manual at the end of this document
+http://arxiv.org/abs/0903.2225
+arXiv:0903.2225v1 [hep-ph] 
+
+
+-- last change 05/11/2009 --
Index: /trunk/Makefile
===================================================================
--- /trunk/Makefile	(revision 532)
+++ /trunk/Makefile	(revision 533)
@@ -596,5 +596,5 @@
 	@echo "Ready to run"
 
-$(SHARED): $(DICT_OBJ) $(SOURCE_OBJ) 
+$(SHARED): $(DICT_OBJ) $(SOURCE_OBJ) $(STDHEP_OBJ)
 	@mkdir -p $(@D)
 	@echo ">> Building $@"
@@ -679,5 +679,5 @@
 	@echo Building tarball of sources
 	@mkdir $(FOLDER)
-	@rsync -qavztup --exclude=CVS* CREDITS VERSION FAQ Delphes.cpp Resolutions.cpp Makefile rootlogon.C genMakefile.tcl interface lib routines src data Examples Utilities $(FOLDER)
+	@rsync -qavztup --exclude=CVS* CREDITS VERSION FAQ Delphes.cpp Resolutions.cpp Resolutions_ATLAS.cpp Makefile rootlogon.C genMakefile.tcl interface lib routines src data Examples Utilities $(FOLDER)
 	@rm -f $(FOLDER)/$(SHARED)
 	@rm -f $(FOLDER)/Utilities/FROG/frog
Index: /trunk/README
===================================================================
--- /trunk/README	(revision 532)
+++ /trunk/README	(revision 533)
@@ -14,8 +14,9 @@
 *** pour sortir une nouvelle version de DELPHES
  - 1) incrÃ©menter le numÃ©ro de version dans VERSION
- -1b) changer le numÃ©ro et la date dans src/Smearutil, dans les cout
- - 2) make tar <--> attention! si de nouveaux fichiers dans le rÃ©pertoire principal doivent Ãªtre inclus dans le tar.bz, il faut updater le fichier genMakefile!
- - 3) mettre sur la page web + change logs
- - 4) cvs tag Delphes_V_x-x
+ - 2) changer le numÃ©ro et la date dans src/Smearutil, dans les cout
+ - 3) make tar <--> attention! si de nouveaux fichiers dans le rÃ©pertoire principal doivent Ãªtre inclus dans le tar.bz, il faut updater le fichier genMakefile!
+ - 4) mettre sur la page web + change logs
+ - 5) mettre Ã  jour le numÃ©ro de version dans le INSTALL
+ - 6) cvs tag Delphes_V_x-x
 
 
Index: /trunk/genMakefile.tcl
===================================================================
--- /trunk/genMakefile.tcl	(revision 532)
+++ /trunk/genMakefile.tcl	(revision 533)
@@ -265,5 +265,5 @@
 	@echo "Ready to run"
 
-$(SHARED): $(DICT_OBJ) $(SOURCE_OBJ) 
+$(SHARED): $(DICT_OBJ) $(SOURCE_OBJ) $(STDHEP_OBJ)
 	@mkdir -p $(@D)
 	@echo ">> Building $@"
@@ -348,5 +348,5 @@
 	@echo Building tarball of sources
 	@mkdir $(FOLDER)
-	@rsync -qavztup --exclude=CVS* CREDITS VERSION FAQ Delphes.cpp Resolutions.cpp Makefile rootlogon.C genMakefile.tcl interface lib routines src data Examples Utilities $(FOLDER)
+	@rsync -qavztup --exclude=CVS* CREDITS VERSION FAQ Delphes.cpp Resolutions.cpp Resolutions_ATLAS.cpp Makefile rootlogon.C genMakefile.tcl interface lib routines src data Examples Utilities $(FOLDER)
 	@rm -f $(FOLDER)/$(SHARED)
 	@rm -f $(FOLDER)/Utilities/FROG/frog