Index: trunk/paper/CommPhysComp/notes.tex
===================================================================
--- trunk/paper/CommPhysComp/notes.tex	(revision 561)
+++ trunk/paper/CommPhysComp/notes.tex	(revision 562)
@@ -12,5 +12,5 @@
 \usepackage{fancyhdr}
 \usepackage{verbatim}
-\addtolength{\textwidth}{1cm} \addtolength{\hoffset}{-0.5cm}
+%\addtolength{\textwidth}{1cm} \addtolength{\hoffset}{-0.5cm}
 \usepackage[colorlinks=true, pdfstartview=FitV, linkcolor=blue, citecolor=blue, urlcolor=blue, unicode]{hyperref}
 \usepackage{ifpdf}
@@ -159,5 +159,4 @@
 \begin{figure*}[!ht]
 \begin{center}
-%\includegraphics[scale=0.78]{FlowDELPHES}
 \includegraphics[scale=0.78]{fig1}
 \caption{Flow chart describing the principles behind \textit{Delphes}. Event
@@ -239,5 +238,4 @@
 \begin{figure}[!ht]
 \begin{center}
-%\includegraphics[width=\columnwidth]{Detector_DELPHES_3}
 \includegraphics[width=\columnwidth]{fig2}
 \caption{
@@ -297,5 +295,4 @@
 \begin{figure}[!ht]
 \begin{center}
-%\includegraphics[width=\columnwidth]{calosegmentation}
 \includegraphics[width=\columnwidth]{fig3}
 \caption{Default segmentation of the calorimeters in the $(\eta,\phi)$ plane. Only the central detectors (\textsc{ECAL}, \textsc{HCAL}) and \textsc{FCAL} are considered. $\phi$ angles are expressed in radians.}
@@ -549,6 +546,5 @@
 \begin{figure}[!ht]
 \begin{center}
-%\includegraphics[width=0.6\columnwidth]{Tau}
-\includegraphics[width=0.80\columnwidth]{fig5}
+\includegraphics[width=0.80\columnwidth]{fig4}
 \caption{Illustration of the identification of $\tau$-jets ($1-$prong). The jet cone is narrow and contains only one track. The small cone serves to apply the \textit{electromagnetic collimation}, while the broader cone is used to reconstruct the jet originating from the $\tau$-decay.}
 \label{h_WW_ss_cut1}
@@ -592,6 +588,5 @@
 \begin{figure}[!ht]
 \begin{center}
-%\includegraphics[width=\columnwidth]{Tau2}
-\includegraphics[width=\columnwidth]{fig6}
+\includegraphics[width=\columnwidth]{fig5}
 \caption{Distribution of the electromagnetic collimation $C_\tau$ variable for true $\tau$-jets, normalised to unity. This distribution is shown for associated $WH$ photoproduction~\citep{bib:whphotoproduction}, where the Higgs boson decays into a $W^+ W^-$ pair. Each $W$ boson decays into a $\ell \nu_\ell$ pair, where $\ell = e, \mu, \tau$.
 Events generated with MadGraph/MadEvent~\citep{bib:mgme}.
@@ -615,6 +610,5 @@
 \begin{figure}[!ht]
 \begin{center}
-%\includegraphics[width=\columnwidth]{Tau1}
-\includegraphics[width=\columnwidth]{fig7}
+\includegraphics[width=\columnwidth]{fig6}
 \caption{Distribution of the number of tracks $N^\textrm{tracks}$ within a small jet cone for true $\tau$-jets, normalised to unity. Photoproduced $WH$ events, where $W$ bosons decay leptonically ($e,\mu,\tau$), as in Fig.~\ref{fig:tau2}. 
 Histogram entries correspond to true $\tau$-jets, matched with generator-level data.}
@@ -688,6 +682,5 @@
 \begin{figure}[!ht]
 \begin{center}
-%\includegraphics[width=\columnwidth]{fdets}
-\includegraphics[width=\columnwidth]{fig4}
+\includegraphics[width=\columnwidth]{fig7}
 \caption{Default location of the very forward detectors, including
 \textsc{ZDC}, \textsc{RP220} and \textsc{FP420} in the \textsc{LHC} beamline.
@@ -899,5 +892,4 @@
 \begin{figure}[!ht]
 \begin{center}
-%\includegraphics[width=\columnwidth]{resolutionJet}
 \includegraphics[width=\columnwidth]{fig8}
 \caption{Resolution of the transverse energy of reconstructed jets
@@ -986,5 +978,4 @@
 \begin{figure}[!ht]
 \begin{center}
-%\includegraphics[width=\columnwidth]{resolutionETmis}
 \includegraphics[width=\columnwidth]{fig10}
 \includegraphics[width=\columnwidth]{fig10b}
@@ -1072,5 +1063,4 @@
 \begin{figure}[!ht]
 \begin{center}
-%\includegraphics[width=\columnwidth]{Detector_DELPHES_2b}
 \includegraphics[width=\columnwidth]{fig11}
 \caption{Layout of the generic detector geometry assumed in \textit{Delphes}.
@@ -1106,9 +1096,7 @@
 \begin{figure}[!ht]
 \begin{center}
-%%\includegraphics[width=\columnwidth]{Events_DELPHES_1}
-%\includegraphics[width=\columnwidth]{DisplayWt}
-\includegraphics[width=0.6\columnwidth]{fig12}
-\caption{Example of $pp(\gamma p \rightarrow Wt)pY$ event display in
-transverse view, with $t \rightarrow Wb$. One
+\includegraphics[width=0.9\columnwidth]{fig12}
+\caption{Example of $pp(\gamma p \rightarrow Wt)pY$ event display in side (left)
+and transverse (right) views, with $t \rightarrow Wb$. One
 $W$ boson decays into a $\mu \nu_\mu$ pair and the second one into a $e \nu_e$
 pair. The surviving proton leaves a forward hemisphere with no hadronic
@@ -1127,6 +1115,4 @@
 \begin{figure}[!ht]
 \begin{center}
-%%\includegraphics[width=\columnwidth]{Events_DELPHES_1}
-%\includegraphics[width=\columnwidth]{Displayppgg}
 \includegraphics[width=0.6\columnwidth]{fig13}
 \caption{Example of inclusive gluon pair production $pp \rightarrow ggX$. Many