Index: /trunk/paper/CommPhysComp/notes.tex
===================================================================
--- /trunk/paper/CommPhysComp/notes.tex	(revision 564)
+++ /trunk/paper/CommPhysComp/notes.tex	(revision 565)
@@ -49,6 +49,5 @@
 calorimeters and a muon system, and possible very forward detectors arranged
 along the beamline.
-The framework is interfaced to standard file formats (e.g.\ Les Houches Event
-File or \texttt{HepMC}) and outputs observables such as isolated leptons,
+The framework is interfaced to standard file formats and outputs observables such as isolated leptons,
 missing transverse energy and collection of jets which can be used for dedicated
 analyses. The simulation of the detector response takes into account the effect
@@ -119,5 +118,5 @@
 the various detector inefficiencies, the dead material, the imperfections and
 the geometrical details. Their simulation is in general performed by means of
-the GEANT~\citep{bib:geant} package and final observables used for analyses
+the GEANT~\citep{bib:geant} toolkit and final observables used for analyses
 usually require sophisticated reconstruction algorithms.
 
@@ -129,8 +128,8 @@
 
 In this context, a new framework, called \textit{Delphes}~\citep{bib:delphes},
-has been developped, for a fast simulation of a general-purpose collider
-experiment.
+has been developed, for a fast simulation of a general-purpose collider
+experiment~\citep{bib:othersim}.
 Using this framework, observables such as cross-sections and efficiencies after
-event selection can be estimated for specific reactions.
+event selection can be estimated for specific processes.
 Starting from the output of event generators, the simulation of the detector
 response takes into account the subdetector resolutions, by smearing the
@@ -159,5 +158,5 @@
 \begin{figure*}[!ht]
 \begin{center}
-\includegraphics[scale=0.78]{fig1}
+\includegraphics[scale=0.60]{fig1}
 \caption{Flow chart describing the principles behind \textit{Delphes}. Event
 files coming from external Monte Carlo generators are read by a converter stage
@@ -267,8 +266,6 @@
 By default, a track is assumed to be reconstructed with $90\%$ probability if
 its transverse momentum $p_T$ is higher than $0.9~\textrm{GeV}/c$ and if its
-pseudorapidity $|\eta| \leq 2.5$~\citep{qr:tracks}. No smearing is currently
-applied on track parameters. For each track, the positions at vertex
-$(\eta,\phi)$ and at the entry point in the calorimeter layers
-$(\eta,\phi)_{calo}$ are available.
+pseudorapidity $|\eta| \leq 2.5$~\citep{qr:tracks}. This reconstruction efficiency is assumed to be uniform and independent of the particle type. No smearing is currently applied on track parameters. For each track, the positions at vertex $(\eta,\phi)$ and at the entry point in the calorimeter layers
+$(\eta,\phi)_{calo}$ are available while the helix parameters of tracks, especially the impact parameters are not.
 
 
@@ -307,5 +304,5 @@
 \label{eq:caloresolution}
 \end{equation}
-where $S$, $N$ and $C$ are the \textit{stochastic}, \textit{noise} and \textit{constant} terms, respectively, and $\oplus$ stands for quadratic additions~\citep{qr:energysmearing}.\\
+where $S$, $N$ and $C$ are the \textit{stochastic}, \textit{noise} and \textit{constant} terms respectively, $E$ is in GeV and $\oplus$ stands for quadratic additions~\citep{qr:energysmearing}.\\
 
 In the default parametrisation, ECAL and HCAL are assumed to cover the
@@ -350,5 +347,6 @@
 the energy, determined according to their decay products, that would be
 deposited into the \textsc{ECAL} ($E_{\textsc{ECAL}}$) and into the
-\textsc{HCAL} ($E_{\textsc{HCAL}}$). Defining $F$ as the fraction of the energy
+\textsc{HCAL} ($E_{\textsc{HCAL}}$). The positions of these deposits are identical to the one the mother particle would have hit.
+  Defining $F$ as the fraction of the energy
 leading to a \textsc{HCAL} deposit, the two energy values are given by
 \begin{equation}
@@ -362,6 +360,5 @@
 where $0 \leq F \leq 1$. The resulting calorimetry energy measurement given
 after the application of the smearing is then $E = E_{\textsc{HCAL}} +
-E_{\textsc{ECAL}}$. For $K_S^0$ and $\Lambda$ hadrons, the energy fraction is
-$F$ is assumed to be $0.7$~\citep{qr:emhadratios}.\\
+E_{\textsc{ECAL}}$. For $K_S^0$ and $\Lambda$ hadrons, the energy fraction $F$ is assumed to be $0.7$~\citep{qr:emhadratios}.\\
 
 
@@ -399,16 +396,13 @@
 The electron, muon and photon collections contains only the true final-state
 particles identified via the generator-data. In addition, these particles must
-pass fiducial cuts taking into account the magnetic field effects and some
-additional reconstruction cuts.
-
-Consequently, no fake candidates enter these collections. However, when needed,
-fake candidates can be added into the collections at the analysis level, when
-processing \textit{Delphes} output data. As effects like bremsstrahlung are not
-taken into account along the lepton propagation in the tracker, no clustering is
-needed for the electron reconstruction in \textit{Delphes}.
+pass fiducial cuts taking into account the magnetic field effects and have a
+transverse momentum above some threshold (default: $p_T > 10~\textrm{GeV}/c$). Consequently, no fake candidates enter these collections. As effects like bremsstrahlung are not taken into account along the lepton propagation in the tracker, no clustering is
+needed for the electron reconstruction in \textit{Delphes}. 
+
+%In your electron simulation you take only the energy from the electron itself, not from any physics bremsstrahlung that is often collinear with the electron (I mean the real emission bremststrahlung directly from the Z->ee decay, not from the magnetic field in the ID). This leads in Z->ee events to a visible distortion of the line shape. I am aware that there is no easy solution to this problem and just adding all photons in the same cell leads to bias for others reasons. However, the reader should be warned that the Z peak will be slightly shifted due to the missing bremsstrahlungs energy. 
+
 
 \subsubsection*{Electrons and photons}
-Real electron ($e^\pm$) and photon candidates are associated to the final-state
-collections if they fall into the acceptance of the tracking system and have a
+Real electron ($e^\pm$) and photon candidates are identified if they fall into the acceptance of the tracking system and have a
 transverse momentum above some threshold (default: $p_T > 10~\textrm{GeV}/c$). 
 \textit{Delphes} assumes a perfect
@@ -454,6 +448,7 @@
 (2) the lepton transverse momentum~\citep{qr:caloisolation}:
 $$ \rho_\ell = \frac{\Sigma_i E_T(i)}{p_T(\ell)}~,~ i\textrm{ in }N \times N
-\textrm { grid centred on }\ell.$$
-
+\textrm { grid centred on }\ell.$$ 
+
+Finally it should be mentioned that because photons from physics bremsstrahlung are not added to the electron, they appear in the calorimetric isolation energy. This can lead to unrealistically high isolation energies in the case of very high energetic electrons while in a full simulation most bremsstrahlung photons overlap with the electron and do therefore not enter in the isolation energy.
 
 \subsection{Jet reconstruction}
@@ -464,50 +459,12 @@
 tools\footnote{A more detailed description of the jet algorithms is given in the
 User Manual, in appendix.}. Six different jet reconstruction schemes are
-available~\citep{bib:FASTJET,qr:jetalgo}. For all of them, the calorimetric
+available~\citep{bib:FASTJET,qr:jetalgo}: {\it CDF Jet Clusters}~\citep{bib:jetclu}, {\it CDF MidPoint}~\citep{bib:midpoint}, {\it Seedless Infrared Safe Cone}~\citep{bib:SIScone}, {\it Longitudinally invariant $k_t$ jet}~\citep{bib:ktjet}, {\it Cambridge/Aachen jet}~\citep{bib:aachen} and {\it Anti $k_t$ jet}~\citep{bib:antikt}. For all of them, the calorimetric
 cells are used as inputs. Jet algorithms differ in their sensitivity to soft
-particles or collinear splittings, and in their computing speed performances.
- 
-\subsubsection*{Cone algorithms}
- 
-\begin{enumerate}
- 
-\item {\it CDF Jet Clusters}~\citep{bib:jetclu}: Cone algorithm forming jets by
-combining cells lying within a circle (default radius $\Delta R=0.7$) in the
-$(\eta$, $\phi)$ space. Jets are seeded by all cells with transverse energy
-$E_T$ above a given threshold (default: $E_T >
-1~\textrm{GeV}$)~\citep{qr:jetparams}. 
- 
-\item {\it CDF MidPoint}~\citep{bib:midpoint}: Cone algorithm with additional
-``midpoints'' (energy barycentres) in the list of seeds.
- 
-\item {\it Seedless Infrared Safe Cone}~\citep{bib:SIScone}: The
-\textsc{SISC}one algorithm is simultaneously insensitive to additional soft
-particles and collinear splittings.
-\end{enumerate}
-
-\subsubsection*{Recombination algorithms}
-
-The next three jet algorithms rely on recombination schemes where calorimeter
-cell pairs are successively merged:
- 
-\begin{enumerate}[start=4]
-\item {\it Longitudinally invariant $k_t$ jet}~\citep{bib:ktjet},
-\item {\it Cambridge/Aachen jet}~\citep{bib:aachen},
-\item {\it Anti $k_t$ jet}~\citep{bib:antikt}, where hard jets are exactly
-circular in the $(y,\phi)$ plane.
-\end{enumerate}
-
-The recombination algorithms are safe with respect to soft radiations
-(\textit{infrared}) and collinear splittings. Their implementations are similar
-except for the definition of the \textit{distances} used during the merging
-procedure. 
-
-By default, reconstruction uses the CDF cone algorithm. Jets are stored if their
-transverse energy is higher than $20~\textrm{GeV}$~\citep{qr:ptcutjet}. 
+particles or collinear splittings, and in their computing speed performances. By default, reconstruction uses the CDF cone algorithm. Jets are stored if their transverse energy is higher than $20~\textrm{GeV}$~\citep{qr:ptcutjet}. 
  
 
 \subsubsection*{Energy flow}
 
-In jets, several particle can leave their energy into a given calorimetric cell,
+In jets, several particle can leave their energy in a given calorimetric cell,
 which broadens the jet energy resolution. However, the energy of charged
 particles associated to jets can be deduced from their associated track, thus
@@ -530,14 +487,14 @@
 parent $b$ quark. For $c$-jets and light jets (i.e.\ originating in $u$, $d$,
 $s$ quarks or in gluons), a fake $b$-tagging efficiency of $10 \%$ and $1 \%$
-is assumed respectively~\citep{qr:btag}. Therefore, in current version of
+is assumed respectively~\citep{qr:btag}. In current version of
 \textit{Delphes}, the displacement of secondary vertices is not taken into
-account. As such, the $b$-tagging efficiency is below the expected $40\%$.
+account.
 
 \subsection{Identification of hadronic \texorpdfstring{$\tau$}{\texttau} decays}
 
 Jets originating from $\tau$-decays are identified using a procedure consistent
-with the one applied in a full detector simulation~\citep{bib:cmsjetresolution}.
+with the one applied in a full detector reconstruction~\citep{bib:cmsjetresolution}.
 The tagging relies on two properties of the $\tau$ lepton. First, $77\%$ of the
-$\tau$ hadronic decays contain only one charged hadron associated to a few
+$\tau$ hadronic decays contain only one charged hadron in combination with a few
 neutrals (\textit{1-prong}). Secondly, the particles arisen from the
 $\tau$ lepton produce narrow jets in the calorimeter (this is defined as the jet
@@ -602,5 +559,5 @@
 of tracks associated to particles with significant transverse momenta is one and
 only one in a cone of radius $R^\textrm{tracks}$ ($3-$prong $\tau$-jets are
-rejected). This cone should be entirely incorporated into the tracker to be
+rejected)~\footnote{In release 1.9, the 3-prong tau decays are also included.}. This cone should be entirely incorporated into the tracker to be
 taken into account. Default values of these parameters are given in
 Tab.~\ref{tab:tauRef}.
@@ -644,5 +601,5 @@
 However, as muon candidates, tracks and calorimetric cells are available in the
 output file, the missing transverse energy can always be reprocessed a
-posteriori with more specialised algorithms.
+posteriori with more specialised algorithms. Moreover, the degradations of the missing transverse energy performance due to noise is not simulated.
 
 \section{Trigger emulation}
@@ -657,17 +614,6 @@
 
 A trigger emulation is included in \textit{Delphes}, using a fully
-parametrisable \textit{trigger table} \citep{qr:triggercard}. When enabled, this
-trigger is applied on analysis-object data. In a real experiment, the online
-selection is often divided into several steps (or \textit{levels}). 
-corresponding to the different trigger levels.
-First-level triggers are fast and simple but based only on partial data as not
-all detector front-ends are readable within the decision latency. 
-Higher level triggers are more complex, of finer-but-not-final quality and
-based on full detector data. 
-
-Real triggers are thus intrinsically based on reconstructed data with a worse
-resolution than final analysis information. On the contrary, the same
-information is used in \textit{Delphes} for the trigger emulation and for final
-analyses.
+parametrisable \textit{trigger table} \citep{qr:triggercard}. While triggers in real experiments are intrinsically based on reconstructed data with a worse
+resolution than final analysis information, in \textit{Delphes} the same information is used for the trigger emulation and for final analyses.
 
 \section{\label{sec:vfd}Very forward detector simulation}
@@ -801,9 +747,9 @@
 To be able to reach these detectors, particles must have a charge identical to
 the beam particles, and a momentum very close to the nominal value of the beam
-particules. These taggers are near-beam detectors located a few millimetres from
+particles. These taggers are near-beam detectors located a few millimetres from
 the true beam trajectory and this distance defines their acceptance
 (Tab.~\ref{tab:fdetacceptance}). For instance, roman pots at $220~\textrm{m}$
 from the  \textsc{IP} and $2~\textrm{mm}$ from the beam will detect all forward
-protons with an energy between $120$ and $900~\textrm{GeV}$~\citep{bib:hector}.
+protons with an energy loss between $120$ and $900~\textrm{GeV}$~\citep{bib:hector}.
 In \textit{Delphes}, extra hits coming from the beam-gas events or
 secondary particles hitting the beampipe in front of the detectors are not taken
@@ -847,6 +793,5 @@
 defined according to the detector specifications. Similarly, the $b$-tagging
 efficiency (for real $b$-jets) and misidentification rates (for fake $b$-jets)
-are taken directly from the expected values of the experiment. Unlike these
-simple objects, jets and missing transverse energy should be carefully
+are taken directly from the expected values of the experiment. Unlike these objects, jets and missing transverse energy should be carefully
 cross-checked.
 
@@ -897,5 +842,5 @@
 generator-level particles $E_T^\textrm{MC}$, in a \textsc{CMS}-like detector.
 The jets events are reconstructed with the JetCLU clustering algorithm with a
-cone radius of $0.7$. The maximum separation between the reconstructed and
+cone radius of $0.7$ and no energy flow correction. The maximum separation between the reconstructed and
 \textsc{MC}-jets is $\Delta R= 0.25$. Dotted line is the fit result for
 comparison to the \textsc{CMS} resolution~\citep{bib:cmsjetresolution}, in blue.
@@ -940,5 +885,6 @@
 energy of the closest jet of generator-level particles $E^\textrm{MC}$, in an
 \textsc{ATLAS}-like detector. The jets are reconstructed with the $k_T$
-algorithm with a radius $R=0.6$. The maximal matching distance between
+algorithm with a radius $R=0.6$ and no energy flow correction. The maximal 
+matching distance between
 \textsc{MC}- and reconstructed jets is $\Delta R=0.2$. Only central jets are
 considered ($|\eta|<0.5$). Dotted line is the fit result for comparison to the
@@ -961,5 +907,5 @@
 The samples used to study the \textsc{MET} performance are identical to those
 used for the jet validation. It is worth noting that the contribution to
-$E_T^\textrm{miss}$ from muons is negligible in the studied sample.
+$E_T^\textrm{miss}$ from muons is negligible in the studied sample. Indeed for e.g.$W\rightarrow \mu \nu$ samples the missing transverse energy should be corrected for the presence of muons.
 The input samples are divided in five bins of scalar $E_T$ sums $(\Sigma E_T)$.
 This sum, called \textit{total visible transverse energy}, is defined as the
@@ -1055,20 +1001,9 @@
 coverage of the different detector subsystems. 
 As an example, the generic detector geometry assumed in this paper is shown in
-Fig.~\ref{fig:GenDet3} and~\ref{fig:GenDet2}. The extensions of the central
+Fig.~\ref{fig:GenDet3}. The extensions of the central
 tracking system, the central calorimeters and both forward calorimeters are
 visible. Note that only the geometrical coverage is depicted and that the
 calorimeter segmentation is not taken into account in the drawing of the
 detector. 
- 
-\begin{figure}[!ht]
-\begin{center}
-\includegraphics[width=\columnwidth]{fig11}
-\caption{Layout of the generic detector geometry assumed in \textit{Delphes}.
-Open 3D-view of the detector with solid volumes. Same colour codes as for
-Fig.~\ref{fig:GenDet3} are applied. Additional forward detectors are not
-depicted.}
-\label{fig:GenDet2}
-\end{center}
-\end{figure}
  
 Deeper understanding of interesting physics processes is possible by displaying
@@ -1078,19 +1013,4 @@
 mouse action. As an illustration, an associated photoproduction of a $W$ boson
 and a $t$ quark~\citep{bib:wtphotoproduction} is shown in Fig.~\ref{fig:wt}. 
-
-% This corresponds to a $pp(\gamma p \rightarrow Wt)pX$ process, where the $Wt$
-% couple is induced by an incoming photon emitted by one of the colliding
-% proton. This leading proton survives after photon emission and is present in
-% the final state. As the energy and virtuality of the emitted photon are low,
-% the surviving proton does not leave the beam and escapes from the central
-% detector without being detected. The experimental signature is a lack of
-% hadronic activity in the forward hemisphere where the surviving proton
-% escapes. 
-% The $t$ quark decays into a $W$ boson and a $b$ quark. Both $W$ bosons decay
-% into leptons ($W \rightarrow \mu \nu_\mu$ and $W \rightarrow e \nu_e$). The
-% balance between the missing transverse energy and the charged lepton pair is
-% clear, as well as the presence of an empty forward region. It is interesting
-% to notice that the reconstruction algorithms build a fake $\tau$-jet around
-% the electron.
 
 \begin{figure}[!ht]
@@ -1108,23 +1028,8 @@
 \end{figure}
 
-For comparison, Fig.~\ref{fig:gg} depicts an inclusive gluon pair production
-$pp \rightarrow ggX$. The event final state contains more jets, in particular
-along the beam axis, which is expected as the interacting protons are destroyed
-by the collision. 
-
-\begin{figure}[!ht]
-\begin{center}
-\includegraphics[width=0.6\columnwidth]{fig13}
-\caption{Example of inclusive gluon pair production $pp \rightarrow ggX$. Many
-jets are present in the event, in particular along the beam axis (black line).}
-\label{fig:gg}
-\end{center}
-\end{figure}
-
-
 \section{Conclusion and perspectives}
 
 We have described here the major features of the \textit{Delphes} framework,
-introduced for the fast simulation of a collider experiment. This framework is a
+intended for the fast simulation of a collider experiment. This framework is a
 tool meant for feasibility studies in phenomenology, gauging the observability
 of model predictions in collider experiments.
@@ -1159,4 +1064,6 @@
   
 \bibitem{bib:delphes} \textit{Delphes}, \href{http://www.fynu.ucl.ac.be/delphes.html}{www.fynu.ucl.ac.be/delphes.html}
+\bibitem{bib:othersim} Other less sophisticated software for fast simulation: \textit{AcerDET} E. Richter-Was, \href{http://arxiv.org/abs/hep-ph/0207355}{arXiv:hep-ph/0207355v1}; \textit{PGS}, John Conway et al, \href{http://www.physics.ucdavis.edu/~conway/research/software/pgs/pgs4-general.htm}{http://www.physics.ucdavis.edu/~conway/}
+
 \bibitem{bib:Root} %\textsc{ROOT}, \textit{An Object Oriented Data Analysis Framework},
 R. Brun, F. Rademakers, Nucl. Inst. \& Meth. in \textbf{Phys. Res. A} \href{http://dx.doi.org/10.1016/S0168-9002(97)00048-X}{389 (1997) 81-86}.
@@ -1254,6 +1161,5 @@
 \bibitem[s]{qr:ptcutjet} See the \texttt{PTCUT\_jet }variable in the detector card. 
 
-\bibitem[t]{qr:jetparams} See the \texttt{JET\_coneradius} and \texttt{JET\_seed} variables in the detector card. The existing FastJet code has been modified to allow easy modification of the cell pattern in $(\eta, \phi)$ space.
-In following versions of \textit{Delphes}, a new dedicated plug-in will be created on this purpose.
+%\bibitem[t]{qr:jetparams} See the \texttt{JET\_coneradius} and \texttt{JET\_seed} variables in the detector card. The existing FastJet code has been modified to allow easy modification of the cell pattern in $(\eta, \phi)$ space. In following versions of \textit{Delphes}, a new dedicated plug-in will be created on this purpose.
 
 \bibitem[u]{qr:energyflow} Set \texttt{JET\_Eflow} to $1$ or $0$ in the detector card in order to switch on or off the energy flow for jet reconstruction.